WordPress Mailpoet plugin werkt niet op Microsoft IIS webserver

26 oktober 2017 om 07:59

MailPoet logo.Onlangs heb ik een nieuwe WordPress website opgeleverd aan een opdrachtgever. De website heb ik in de afgelopen maanden ontwikkeld en gedemonstreerd op mijn testserver bij Antagonist. De website was ook voorzien van Mailpoet 3 om nieuwsbrieven te verzenden. De testserver is voorzien van Linux + Apache + PHP7.1. + MySQL. Alles werkte perfect.

Na verhuizing van de website naar de webserver van de opdrachtgever werkt alles nog steeds behalve de Mailpoet nieuwsbrief functionaliteit. De webserver van de klant maakt gebruik an Windows + IIS + PHP + MySQL. De reden dat Mailpoet niet meer werkt is omdat de plugin niet ondersteund wordt door IIS, de tegenhanger van Apache. De plugin heeft zichzelf uitgeschakeld. De makers geven aan dat het percentage installaties op IIS zo laag is dat het niet de moeite is om ondersteuning voor IIS in te bouwen. Jammer genoeg vertellen de makers niet welke functionaliteit er niet standaard werkt op IIS.

Blijkbaar werkt Mailpoet 2 nog wel maar deze ontvangt alleen nog beveiligingsupdates en zal in de toekomst helemaal komen te vervallen. In de systeemeisen van Mailpoet 3 staat ook duidelijk vermeld dat IIS webserver niet wordt ondersteund.

Als alternatieve oplossing heb ik Mailchimp voorgesteld. Dit is een externe nieuwsbrief dienst die, net als Mailpoet, gratis gebruikt kan worden als je minder dan 2000 abonnees hebt. Mailchimp heeft ook een WordPress plugin zodat bezoekers zichzelf via de website aan kunnen melden. Een andere oplossing zou zijn om over te stappen naar een andere hostingpartij die Apache als webserver gebruikt.

Het grote voordeel van Mailpoet vind ik dat het geïntegreerd zit in je website. Je hoeft dus niet in Mailchimp in te loggen. Daarnaast kan je gemakkelijk berichten van je website in je nieuwsbrief plaatsen. Dit is ook niet mogelijk met Mailchimp.

Tweet about this on TwitterGoogle+Share on FacebookPrint this page